# Review at https://bugzilla.redhat.com/show_bug.cgi?id=767838

%global git_snapshot 1

%if 0%{?git_snapshot}
%global git_rev 968af0ab84e6f8b7658371c778fc8ad2714db68e
%global git_date 20120314
%global git_short %(echo %{git_rev} | cut -c-8)
%global git_version %{git_date}git%{git_short}
%endif

# Source0 was generated as follows: 
# git clone git://liblastfm.git.sourceforge.net/gitroot/liblastfm/liblastfm
# cd %%{name}
# git archive --format=tar --prefix=%{name}/ %%{git_short} | bzip2 > %%{name}-%%{?git_version}.tar.bz2

Name:           libclastfm
Version:        0.5
Release:        0.8%{?git_version:.%{?git_version}}%{?dist}
Summary:        Unofficial C-API for the Last.fm web service

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://liblastfm.sourceforge.net/
Source0:        %{name}-%{?git_version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool
BuildRequires:  libcurl-devel

%description
libclastfm is an unofficial C-API for the Last.fm web service written with
libcurl. It was written because the official CBS Interactive Last.fm library
requires Nokia QT, which is usually not desired when using GTK+ based distros.

This library supports much more than basic scrobble submission. You can send
shouts, fetch Album covers and much more.

Due to the naming conflict with the official last.fm library, this library will
install as "libclastfm".

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -qn %{name}


%build
NOCONFIGURE=1 sh autogen.sh
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-0.8.20120314git968af0ab
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-0.7.20120314git968af0ab
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-0.6.20120314git968af0ab
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-0.5.20120314git968af0ab
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-0.4.20120314git968af0ab
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-0.3.20120314git968af0ab
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-0.2.20120314git968af0ab
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 14 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.5-0.1.20120314git968af0ab
- Update to 0.5.0 snapshot

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.2.20111214gitcc78dde5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 14 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-0.1.20111214gitcc78dde5
- Update to latest git to fix curl issue on rawhide

* Wed Jul 13 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-0.1.20110712gita4aaf771
- Inital package
